<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Flights</title>
    <link rel="stylesheet" href="./css/formPage.css" />
    <link rel="stylesheet" href="./css/style.css" />
    <link rel="stylesheet" href="./css/search-bar.css" />
  </head>
  <body>
    <div class="nav-bar">
      <h4>
        Rise Airlines<span
          ><img src="./assets/header-plane.png" alt="icon"
        /></span>
      </h4>
      <ul class="nav-bar-links-contatiner">
        <li class="nav-link"><a href="./airlines.html">Airlines</a></li>
        <li class="nav-link"><a href="./airports.html">Airports</a></li>
        <li class="nav-link"><a href="./flights.html">Flights</a></li>
      </ul>
    </div>
    <div class="container-form">
      <div class="container-head">
        <a href="/">
          <img src="./assets/left sidebar.png" alt="bar" />
        </a>
        <h1>Flights</h1>
      </div>
      <div class="search-bar" id="search-bar">
        <p>Choose filter and search:</p>
        <form id="search-form" action="Search" method="post">
          <select class="dropdown" name="filter">
            <option value="Flight_Number">Flight Number</option>
            <option value="Airline">Airline</option>
            <option value="Country">Country</option>
            <option value="City">City</option>
            <option value="Code">Code</option>
            <option value="Name">Name</option>
          </select>
          <input type="search" name="value" placeholder="Search" required />
          <input type="submit" value="Submit" class="button" />
        </form>
      </div>
      <div id="loading-overlay">
        <div class="spinner"></div>
      </div>
      <table class="table" id="table">
        <thead>
          <tr class="table-head">
            <th class="table-head-tag">Flight Number</th>
            <th class="table-head-tag">Airline</th>
            <th class="table-head-tag">Departure</th>
            <th class="table-head-tag">Arrival</th>
            <th class="table-head-tag">Arrival date</th>
            <th class="table-head-tag">Departure date</th>
            <th class="table-head-tag">Buttons</th>
          </tr>
        </thead>
        <tbody id="table-body"></tbody>
      </table>
      <button class="block-button-show scroll-top" id="scroll-top">
        Go top
      </button>
      <button class="block-button-show" id="show-more">
        Show More
      </button>
      <a href="#" class="block-button-form" id="show-form" onclick="showForm()"
        >Show Form</a
      >
      <form class="form hidden" id="form" method="post">
        <legend>Add new Flight</legend>

        <label for="flight_number">Flight Number</label>
        <input
          type="text"
          id="flight_number"
          name="flight_Number"
          onblur="checkFlightNumber()"
        />
        <span class="validation hidden" id="flight-number-valid"
          >Flight number must be lower than 6 chars</span
        >

        <label for="airline">Airline</label>
        <input
          type="text"
          id="airline"
          name="airline"
          onblur="checkAirline()"
        />
        <span class="validation hidden" id="airline-valid"
          >Airline must be filled</span
        >

        <label for="departure_id">Departure Code</label>
        <input
          type="text"
          id="departure"
          name="departure"
          onblur="checkDepartureCode()"
        />
        <span class="validation hidden" id="departure-code-valid"
          >Departure Code must be filled</span
        >

        <label for="arrival_id">Arrival Code</label>
        <input
          type="text"
          id="arrival"
          name="arrival"
          onblur="checkArrivalCode()"
        />
        <span class="validation hidden" id="arrival-code-valid"
          >Arrival Code must be filled</span
        >

        <label for="departure_date">Departure Date</label>
        <input
          type="datetime-local"
          id="departure_date"
          name="departure_date"
          onblur="checkDepartureDate()"
        />
        <span class="validation hidden" id="departure-date-valid"
          >Please Select Departure date</span
        >

        <label for="arrival_date">Arrival Date</label>
        <input
          type="datetime-local"
          id="arrival_date"
          name="arrival_date"
          onblur="checkArrivalDate()"
        />
        <span class="validation hidden" id="arrival-date-valid"
          >Please Select Arrival date</span
        >

        <input type="submit" class="block-button-form" id="submit-button" />
      </form>
    </div>
    <div class="footer">
      <p>Rise Airlines 2024 ©</p>
    </div>
    <script type="module" src="./js/flightValidation.js"></script>
    <script src="./js/showForm.js" async defer></script>
    <script src="./js/animation.js"></script>
  </body>
</html>
